%define majver %(echo %version | cut -d. -f1-2)
Name:          kdoctools
Version:       5.9.0
Release:       1mamba
Summary:       Provides tools to generate documentation in various format from DocBook files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kdoctools-%{version}.tar.xz
Patch0:        kdoctools-5.6.0-fix-KDOCTOOLS_DATA_INSTALL_DIR.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Provides tools to generate documentation in various format from DocBook files.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake -d build \
    -DCMAKE_BUILD_TYPE=Release \
    -DLIB_INSTALL_DIR=%{_lib} \
    -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
    -DBUILD_TESTING=OFF
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kdoctools5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f kdoctools5.lang
%defattr(-,root,root)
%{_bindir}/checkXML5
%{_bindir}/meinproc5
%{_includedir}/KF5/XsltKde/xslt.h
%{_includedir}/KF5/XsltKde/xslt_kde.h
%dir %{_libdir}/cmake/KF5DocTools/
%{_libdir}/cmake/KF5DocTools/KF5DocTools*.cmake
%{_libdir}/libKF5XsltKde.a
%dir %{_datadir}/doc/HTML/*/kdoctools5-common
%{_datadir}/doc/HTML/*/kdoctools5-common/*
%dir %{_datadir}/kf5/kdoctools/customization/*
%{_datadir}/kf5/kdoctools/customization/*/*
%{_mandir}/man1/checkXML5.1*
%{_mandir}/man7/kf5options.7*
%{_mandir}/man7/qt5options.7*
%{_mandir}/man8/meinproc5.8*
%lang(de) %{_mandir}/de/man1/checkXML5.1*
%lang(de) %{_mandir}/de/man7/kf5options.7*
%lang(de) %{_mandir}/de/man7/qt5options.7*
%lang(de) %{_mandir}/de/man8/meinproc5.8*
%lang(it) %{_mandir}/it/man1/checkXML5.1*
%lang(it) %{_mandir}/it/man7/kf5options.7*
%lang(it) %{_mandir}/it/man7/qt5options.7*
%lang(it) %{_mandir}/it/man8/meinproc5.8*
%lang(nl) %{_mandir}/nl/man1/checkXML5.1*
%lang(nl) %{_mandir}/nl/man7/kf5options.7*
%lang(nl) %{_mandir}/nl/man7/qt5options.7*
%lang(nl) %{_mandir}/nl/man8/meinproc5.8*
%lang(pt_BR) %{_mandir}/pt_BR/man1/checkXML5.1*
%lang(pt_BR) %{_mandir}/pt_BR/man7/kf5options.7*
%lang(pt_BR) %{_mandir}/pt_BR/man7/qt5options.7*
%lang(pt_BR) %{_mandir}/pt_BR/man8/meinproc5.8*
%lang(ru) %{_mandir}/ru/man1/checkXML5.1*
%lang(ru) %{_mandir}/ru/man7/qt5options.7*
%lang(sv) %{_mandir}/sv/man1/checkXML5.1*
%lang(sv) %{_mandir}/sv/man7/kf5options.7*
%lang(sv) %{_mandir}/sv/man7/qt5options.7*
%lang(sv) %{_mandir}/sv/man8/meinproc5.8*
%lang(uk) %{_mandir}/uk/man1/checkXML5.1*
%lang(uk) %{_mandir}/uk/man7/kf5options.7*
%lang(uk) %{_mandir}/uk/man7/qt5options.7*
%lang(uk) %{_mandir}/uk/man8/meinproc5.8*
%doc COPYING.LIB LICENSE

%changelog
* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Mon Feb 23 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- patch to fix KDOCTOOLS_DATA_INSTALL_DIR (see also https://bugs.kde.org/show_bug.cgi?id=341714)

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
